<?php
// $Id: formselectgroup.php,v 1.1 2004/07/11 10:27:19 Farsus Exp $
// -------------------------------------------------------------------------//
//			                 RUNCMS                                         //
//                                                                          //
//	 reliable - Unique - Nocost &  Simplicity & ease off use                //
//                       < http://www.runcms.org >                          //
// -------------------------------------------------------------------------//
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //

if (!defined("EXOOPS_XOOPSFORMSELECTGROUP_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTGROUP_INCLUDED", 1);

include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");

class XoopsFormSelectGroup extends XoopsFormSelect {

	function XoopsFormSelectGroup($caption, $name, $include_anon=false, $value="", $size=1, $multiple=false) {
		$this->XoopsFormSelect($caption, $name, $value, $size, $multiple);
		if ( !$include_anon ) {
			$this->addOptionArray(XoopsGroup::getAllGroupsList(array("type!='Anonymous'")));
			} else {
				$this->addOptionArray(XoopsGroup::getAllGroupsList());
			}
	}

//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
